rec {
  default = {
    browser = "zen";
    calculator = "gnome-calculator";
    fileManager = "nautilus";
    imageViewer = "imv";
    lockScreen = "hyprlock";
    terminal = "kitty";
  };

  dir = {
    home = "/home/${username}";
    pictures = "${dir.home}/Pictures";
  };

  domain = "martials.no";
  tailnetDomain = "dns.${domain}";
  localIpPrefix = "192.168.10.";
  localIpRange = "${localIpPrefix}0/24";
  localIpAddr = subAddr: "${localIpPrefix}${builtins.toString subAddr}";
  tailnetAddr = host: "${host}.${tailnetDomain}";

  keymaps = {
    layout = "gb,no";
    options = "grp:alt_shift_toggle"; # Toggle using ALT + SHIFT
  };

  username = "martin";

  root = ../.;

  # This value determines the NixOS release from which the default
  # settings for stateful data, like file locations and database versions
  # on your system were taken. It's perfectly fine and recommended to leave
  # this value at the release version of the first install of this system.
  # Before changing this value read the documentation for this option
  # (e.g. man configuration.nix or on https://nixos.org/nixos/options.html).
  system.version = "25.05";
}
